npm-install相关内容

错误 无法构建 iOS 项目.我们运行了“xcodebuild"命令,但它以错误代码 65 退出.我无法运行我的项目

我按照官方 react-native 网站安装了所有东西.但是从终端创建项目后,当我尝试运行我的项目时出现错误. 我使用了 Xcode 10 并在最新的模拟器上运行并且已经使用 homebrew 成功安装了 node 和 watchman然后安装 npm install -g react-native-cli brew 安装节点酿造安装守望者npm install -g react-nat ..
发布时间:2021-12-06 22:28:51 其他开发

xcode-select 活动开发者目录错误

在运行需要 node-gyp 的 npm install 时看到以下错误...代码>. xcode-select: 错误:工具“xcodebuild"需要 Xcode,但处于活动状态开发者目录 '/Library/Developer/CommandLineTools' 是一个命令线工具实例 有什么问题? 解决方案 这个问题发生在 xcode-select 开发者目录指向 /Li ..
发布时间:2021-12-05 19:53:46 其他开发

为什么“npm install"重写 package-lock.json?

我最近刚刚升级到 npm@5.我现在有一个 package-lock.json 文件,其中包含 package.json 中的所有内容.我希望,当我运行 npm install 时,将从锁定文件中提取依赖项版本以确定应该在我的 node_modules 目录中安装什么.奇怪的是,它实际上最终修改和重写了我的 package-lock.json 文件. 例如,锁定文件的 typescript ..
发布时间:2021-12-01 22:30:40 其他开发

使用 npm 安装本地模块?

我有一个下载的模块存储库,我想在本地安装它,而不是在另一个目录中全局安装? 有什么简单的方法可以做到这一点? 解决方案 你只需提供一个 参数给 npm install,参数应该指向本地文件夹而不是包名: npm install/path ..
发布时间:2021-12-01 21:54:43 前端开发

npm - EPERM:Windows 上不允许操作

我跑了 npm 配置设置前缀/usr/local 运行该命令后,当尝试在 Windows 操作系统上运行任何 npm 命令时,我不断收到以下信息. 错误:EPERM:不允许操作,mkdir 'C:\Program Files (x86)\Git\local'在错误(本机) 已删除 中的所有文件 C:\Users\\.config\configstore\ 它没有用. 有什么建议 ..
发布时间:2021-12-01 21:50:25 前端开发

在 Windows 10 上构建 Autodesk Forge RCDB 失败并出现 node-gyp 错误

在尝试构建 Forge 响应式连接数据库时.我无法在我的 Windows 10 机器上构建这个应用程序.我无法成功运行“npm install".我收到以下错误,如下所示.我最终尝试使用预先配置的“画布",但它仍然没有让节点应用程序运行. https://github.com/Autodesk-Forge/forge-rcdb.nodejs 我尝试了这些解决方案但没有成功: ht ..
发布时间:2021-11-30 19:19:14 其他开发

如何将 npm 参数传递给 dotnet publish?

长话短说,私有 npm 注册表,企业网络,无法从 github 下载. 我需要通过 --无可选 到 npm 安装 那个 dotnet 发布 作为一部分执行 目标“PublishRunWebpack: (TargetId:162)" 有什么想法吗?MSDN 文档@https://docs.microsoft.com/en-us/dotnet/core/tools/dotnet- ..
发布时间:2021-11-24 16:59:39 C#

Angular 6:npm 错误!安装 angular cdk 时从未调用 cb()

我在这里安装角材料,这就是我所做的 Angular material 通过以下命令成功安装 1.npm install --save @angular/material Angula CDK 无法使用以下命令安装 1.npm install --save @angular/cdk 我在 cmd 中收到以下错误: npm WARN tar zlib 错误:文件意外结束npm 错误 ..
发布时间:2021-11-10 01:57:22 其他开发

你如何为 Windows 7 安装 angular-cli

我正在尝试为 Windows 安装 angular-cli.我知道命令是 npm install -g angular-cli,但是一旦我运行这个命令,我就会尝试做 ng new 但是我得到一个错误说“ng 不是一个可识别的命令"我检查了这里的其他问题说你必须将文件夹添加到 PATH 变量,但是当我检查文件夹时,我尝试将 angular-cli 安装到我什至没有看到任何东西. 在这里你可以看 ..
发布时间:2021-11-09 04:49:21 其他开发

npm 无法安装 angular-cli

我正在尝试通过 npm 安装 angular-cli.我安装了最新版本的 Nodejs 和 git.我没有使用任何代理服务器(通过 netsh winhttp show proxy 以及 Internet Explorer LAN 设置对其进行了验证)并且我的互联网连接没有问题.当我尝试运行 npm install -g angular-cli 然后我得到以下错误 C:\Windows\s ..
发布时间:2021-11-09 04:21:52 其他开发

Angular2 - Angular-CLI 安装 lodash - 找不到模块

Mac OSX El capian |角度cli:0.1.0 |节点:5.4.0 |操作系统:达尔文 x64 我尝试根据 angular-cli wiki 安装第 3 方 npm 模块:https://github.com/angular/angular-cli/wiki/3rd-party-libs 但失败了.我已经为此苦苦挣扎了好几天,非常感谢您的帮助. 获取错误的步骤: n ..
发布时间:2021-11-09 04:18:10 其他开发

如何修复 npm UNMET PEER DEPENDENCY 警告?

我使用的是 Windows 10,使用 Node 5.6.0 和 npm 3.6.0.我正在尝试将 angular-material 和 mdi 安装到我的工作文件夹中.npm install angular-material mdi 错误: +-- angular@1.5.0+-- UNMET PEER DEPENDENCY angular-animate@^1.5.0+-- 未满足对等依赖 ..
发布时间:2021-11-09 01:57:15 其他开发